#include <stdio.h>
#include <stdlib.h>

int main()
{
    int n,l;
    printf("Unesi broj stalaktita:");
    scanf("%d",&n);
    printf("Unesi visinu perice:");
    scanf("%d",&l);
    int vstala[n];
    printf("Unesi visine stalaktita\n");
    for(int i=0;i<n;i++){
        scanf("%d",&vstala[i]);
    }
    for(int i=0;i<n;i++){
        if(vstala[i]<=l){
            printf("\n%d",i+1);
            return 0;
        }
    }
    printf("\n-1");
    return 0;
}